#contact {
	width: 850px;
	margin: 85px auto 0 auto;
}

#contact > form {
	float: left;
	width: 420px;
	margin-bottom: 65px;
}

#contact input, #contact textarea {
	width: 400px;
}

#contact select {
	width: 420px;
}

#contact > div:first-of-type {
	float: right;
	margin-top: 105px;
}

#contact > a {
	clear: both;
}

#contact > a:last-of-type div {
	float: right;
}